package libViewer;

import java.awt.*;
import java.net.*;
import java.awt.image.*;

public class Bullet extends Canvas{

int width;
int height;
int Key;
String labels;
String descr;
Image LabelArea;

public Bullet (String $labels, String $descr) {

this.labels = $labels;
this.descr = $descr;

};
//------------------------------------------------------------------------------
// Constructs the Title Area of the Spine
//------------------------------------------------------------------------------
public void createLabelArea(int xsize, int ysize, String labels) {

Image image = this.createImage(xsize,ysize);

Graphics gr = image.getGraphics();

gr.setColor(new Color(40,140,40));
gr.fillRect(0,0,xsize,ysize);

gr.setColor(Color.white);
gr.drawString(labels,10,13);

// 3-D Effekt erzeugen
gr.setColor(new Color(60,180,60));
gr.drawLine(0,0,xsize-1,0);

gr.setColor(new Color(60,180,60));
gr.drawLine(0,0,0,ysize-1);

gr.setColor(new Color(10,80,10));
gr.drawLine(0,ysize-1,xsize-1,ysize-1);

gr.setColor(new Color(10,80,10));
gr.drawLine(xsize-1,0,xsize-1,ysize-1);

gr.setColor(new Color(60,180,60));
gr.drawLine(1,1,xsize-2,1);

gr.setColor(new Color(60,180,60));
gr.drawLine(1,1,1,ysize-2);

gr.setColor(new Color(20,100,20));
gr.drawLine(1,ysize-2,xsize-2,ysize-2);

gr.setColor(new Color(20,100,20));
gr.drawLine(xsize-2,1,xsize-2,ysize-2);

// clip Text
gr.setColor(new Color(40,140,40));
gr.fillRect(xsize-11,2,9,ysize-4);

LabelArea = image;
}
//------------------------------------------------------------------------------
// paint
//------------------------------------------------------------------------------
public void paint (Graphics g) {

  //if (Main.zoom_factor == 1) {

  g.drawImage(LabelArea,0,0,this);

}
//------------------------------------------------------------------------------
// Event-Handler for Label
//------------------------------------------------------------------------------
public boolean handleEvent(Event evt) {
        switch (evt.id) {
          case Event.MOUSE_DOWN: {
               if (evt.metaDown()) {
                  Main.title.setText("Hallo Andi, grosser Meister! Hier kommt dann eine Aktion, oder?");
                  
                  return true;}
               else {Main.title.setText(this.labels);}
               }
          case Event.MOUSE_ENTER: {
              Main.description.setText(this.descr);
          }
        }
  return super.handleEvent(evt);
}
//------------------------------------------------------------------------------

}